Returns all contact categories, which are connected with client the given client-ID.
curl -X GET "https://api.example.com/restapi/v1/contactCategories/findByClientId" \
-H "Content-Type: application/json" \
-d '{
"clientId": 123
}'
import requests
import json
url = "https://api.example.com/restapi/v1/contactCategories/findByClientId"
headers = {
"Content-Type": "application/json"
}
data = {
"clientId": 123
}
response = requests.get(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.example.com/restapi/v1/contactCategories/findByClientId", {
method: "GET",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"clientId": 123
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"clientId": 123
}`)
req, err := http.NewRequest("GET", "https://api.example.com/restapi/v1/contactCategories/findByClientId", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/restapi/v1/contactCategories/findByClientId')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"clientId": 123
}'
response = http.request(request)
puts response.body
[
{
"categoryId": 123,
"categoryName": "John Doe"
}
]
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Error",
"message": "Method not allowed",
"code": 405
}
GET
/contactCategories/findByClientId
GET
Base URLstring
Target server for requests. Edit to use your own host.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Body
application/json
Responses
categoryIdinteger
categoryNamestring
Was this page helpful?